/*
Theme Name: GeneratePress Child
Theme URI: https://mastersupplies.com.au/
Description: A child theme for GeneratePress
Author: Your Name
Author URI: https://mastersupplies.com.au/
Template: generatepress
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: generatepress-child
*/

@import url("../generatepress/style.css");

@font-face {
    font-family: 'Bell MT Std';
    src: url('fonts/BellMTStd.eot');
    src: url('fonts/BellMTStd.eot?#iefix') format('embedded-opentype'),
        url('fonts/BellMTStd.woff2') format('woff2'),
        url('fonts/BellMTStd.woff') format('woff'),
        url('fonts/BellMTStd.ttf') format('truetype'),
        url('fonts/BellMTStd.svg#BellMTStd') format('svg');
    font-style: normal;
    font-display: swap;
}
/* Apply the custom font */
body {
    font-family: 'Bell MT Std', sans-serif;
}
ul.product-categories {
    list-style: none;
    padding: 0;
    margin: 0;
}
ul.product-categories ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

ul.product-categories li {
    position: relative;
    padding-left: 25px; 
    margin-bottom: 8px;
}

ul.product-categories li::before {
    content: "\f061";
    font-family: "Font Awesome 5 Free"; 
    font-weight: 100; 
    position: absolute;
    left: 0;
    color: #e1c077; 
}

.variations {
    background: #f4f5f6;
}
.variations th.label {
    text-align: left;
    color: #8b6b53;
}

.custom-products-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
}

.custom-product {
    border-radius: 5px;
}

.post-thumbnail {
    position: relative;
}

.custom-product span {
    color: #8b6b53;
    font-weight: bold;
}

.custom-product span.size {
    position: absolute;
    bottom: 20px;
    color: #fff;
    background: #8b6b53;
    right: 0px;
    font-size: 14px;
    padding: 4px 15px;
    text-align: right;
    font-weight: 400;
}

.custom-product img {
    max-width: 100%;
    height: auto;
    border-radius: 5px;
}

.title-code {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}

.title-code h6 {
    font-size: 20px;
    font-weight: bold;
    margin: 0;
}

.title-code span {
    font-size: 14px;
    color: #666;
}

table.variation-specs-table td, table.variation-specs-table thead {
    padding: 5px !important;
    font-size: 14px;
}
table.variation-specs-table thead {
    background: #7B5B38;
    color: #fff;
    text-align: left;
}
